> For the complete documentation index, see [llms.txt](https://docs.rememberizer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rememberizer.ai/developer-resources/api-docs/vector-store.md).

# Vector Store APIs

The Vector Store APIs allow you to create, manage, and search vector stores in Rememberizer. Vector stores enable you to store and retrieve documents using semantic similarity search.

## Available Vector Store Endpoints

### Management Endpoints

* [Get vector store's information](/developer-resources/api-docs/vector-store/get-vector-stores-information.md)
* [Get a list of documents in a Vector Store](/developer-resources/api-docs/vector-store/get-a-list-of-documents-in-a-vector-store.md)
* [Get the information of a document](/developer-resources/api-docs/vector-store/get-the-information-of-a-document.md)

### Document Operations

* [Add new text document to a Vector Store](/developer-resources/api-docs/vector-store/add-new-text-document-to-a-vector-store.md)
* [Upload files to a Vector Store](/developer-resources/api-docs/vector-store/upload-files-to-a-vector-store.md)
* [Update file's content in a Vector Store](/developer-resources/api-docs/vector-store/update-files-content-in-a-vector-store.md)
* [Remove a document in Vector Store](/developer-resources/api-docs/vector-store/remove-a-document-in-vector-store.md)

### Search Operations

* [Search for Vector Store documents by semantic similarity](/developer-resources/api-docs/vector-store/search-for-vector-store-documents-by-semantic-similarity.md)

## Creating a Vector Store

To create a new Vector Store, use the following endpoint:

```
POST /api/v1/vector-stores/
```

### Request Body

```json
{
  "name": "Store name",
  "description": "Store description",
  "embedding_model": "sentence-transformers/all-mpnet-base-v2",
  "indexing_algorithm": "ivfflat",
  "vector_dimension": 128,
  "search_metric": "cosine_distance"
}
```

### Response

```json
{
  "id": "store_id",
  "name": "Vector Store Name",
  "description": "Store description",
  "created": "2023-05-01T00:00:00Z",
  "modified": "2023-05-01T00:00:00Z"
}
```

## Vector Store Configurations

To retrieve available configurations for vector stores, use:

```
GET /api/v1/vector-stores/configs
```

This will return available embedding models, indexing algorithms, and search metrics that can be used when creating or configuring vector stores.

## Authentication

All Vector Store endpoints require authentication using either:

* JWT token for management operations
* API key for document and search operations


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rememberizer.ai/developer-resources/api-docs/vector-store.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
